# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['lychorhyce']

package_data = \
{'': ['*']}

install_requires = \
['Jinja2>=2.11.3,<3.0.0', 'importlib-metadata>=3.10.0,<4.0.0']

entry_points = \
{'console_scripts': ['lychorhyce = lychorhyce.lychorhyce:main']}

setup_kwargs = {
    'name': 'lychorhyce',
    'version': '1.0.0',
    'description': 'Create lyrics + chords + rhythm song files from LCR text files.',
    'long_description': "# LyChoRhyce\n\nThe LyChoRhyce program reads LCR-formatted song text files and generates\nbeatiful HTML files, ready to be printed or converted into PDF files.\n\n## The LCR format\n\nLCR (Lyrics, Chords and Rhythm) is a textual format for describing songs in a\nsimpler way than sheet music. You write text like this:\n\n~~~ txt\nScarborough Fair\n\nAuthors = Simon & Garfunkel\nMeter = 3/4\nKey = Em\n\n---\n\nVerse 1 =\n| Em~ Are ` ` you | going ` ` to | D~ Scar- ` \\ bo- ` rough | Em~ Fair? ` ` |\n| G~ ` Par- ` sley, | Em~ sage, ` ` rose- | G~ ma- ` A~ ry ` and | Em~ thyme ` ` |\n| ` ` Re- | mem- ` ` ber | G~ me ` ` to | one ` who ` lives | D~ there ` ` |\n| Em~ she ` ` once | D~ was ` ` a | true ` love ` of | Em~ mine ` ` |\n~~~\n\nand it gets converted to this:\n\n![full render](https://lcr4songs.readthedocs.io/en/latest/lcr/overview/overview1.png)\n\nThe output is similar to popular\n[CRD song sheets](https://www.ultimate-guitar.com/contribution/help/rubric#iii2),\nand the source text and operations are similar to the\n[ChordPro](https://www.chordpro.org/chordpro/chordpro-file-format-specification/)\nformat. The main added value is the rhythmic information: it shows measure\nboundaries (the black vertical lines) and beat boundaries (the grey lines).\n\nThen again, the rhythmic information is optional. We could have only measures but not beats:\n\n![measure-only render](https://lcr4songs.readthedocs.io/en/latest/lcr/overview/overview2.png)\n\nor no rhythm information at all, and we are back to CRD and ChordPro:\n\n![no-rhythm render](https://lcr4songs.readthedocs.io/en/latest/lcr/overview/overview3.png)\n\nThe\n[Time in Music Notation](https://lcr4songs.readthedocs.io/en/latest/lcr/time-in-music-notation/)\narticle has a fuller comparison of the main music notations.\n\n## Other features\n\nThe format also has the following features:\n\n- arbitrary fields in the song header\n- song sections (verse, chorus etc.) with title and description\n- multiple songs in one file\n- optional column layout\n- page layout in PDF and print\n\n## Copyright\n\nThe LyChoRhyce program is copyright (c) 2021 Nicola 'teknico' Larosa.\nLicensed under GPLv3 only, see the LICENSE.md file for details.\n\nThe LCR format documentation by [Nicola 'teknico' Larosa](https://sr.ht/~teknico/)\nis licensed under the Creative Commons\n[Attribution-ShareAlike 4.0 International](http://creativecommons.org/licenses/by-sa/4.0/)\nlicense.\n\n![CC-BY-SA](https://i.creativecommons.org/l/by-sa/4.0/88x31.png)\n",
    'author': "Nicola 'tekNico' Larosa",
    'author_email': 'coding@teknico.net',
    'maintainer': "Nicola 'tekNico' Larosa",
    'maintainer_email': 'coding@teknico.net',
    'url': 'https://lcr4songs.readthedocs.io/',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
